## EvHistory

EvHistory

## Functions

EvHistory * | ev_history_new ()
void | ev_history_add_link ()

## Signals

void | activate-link | Action
void | changed | Action

## Types and Values

struct | EvHistory
struct | EvHistoryClass

## Object Hierarchy

        GObject
        ╰── EvHistory

## Description

## Functions

### ev_history_new ()

    EvHistory *
    ev_history_new (EvDocumentModel *model);

### ev_history_add_link ()

    void
    ev_history_add_link (EvHistory *history,
                         EvLink *link);

## Types and Values

### struct EvHistory

    struct EvHistory;

### struct EvHistoryClass

    struct EvHistoryClass {
    	GObjectClass parent_class;

    	void (* changed)       (EvHistory *history);
            void (* activate_link) (EvHistory *history,
                                    EvLink    *link);
    };

## Signal Details

### The `“activate-link”` signal

    void
    user_function (EvHistory *evhistory,
                   GObject   *arg1,
                   gpointer   user_data)

Flags: Action

### The `“changed”` signal

    void
    user_function (EvHistory *evhistory,
                   gpointer   user_data)

Flags: Action